package com.ruoyi.warehouseBusiness.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 业务附件对象 t_annex
 *
 * @author ruoyi
 * @date 2021-11-19
 */
public class TAnnex extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long fId;

    /**
     * 主表id
     */
    @Excel(name = "主表id")
    private Long fPid;

    /**
     * 业务活动号
     */
    @Excel(name = "业务活动号")
    private Long fActid;

    /**
     * 行号
     */
    @Excel(name = "行号")
    private String fLineno;

    /**
     * 附件名称
     */
    @Excel(name = "附件名称")
    private String fName;

    /**
     * 附件描述
     */
    @Excel(name = "附件描述")
    private String fDesc;

    /**
     * 附件地址
     */
    @Excel(name = "附件地址")
    private String fUrl;

    /**
     * 状态，默认 T ,正常T 停用F 下拉选择
     */
    @Excel(name = "状态，默认 T ,正常T 停用F 下拉选择")
    private String fStatus;

    /**
     * 删除状态
     */
    private String delFlag;

    public void setfId(Long fId) {
        this.fId = fId;
    }

    public Long getfId() {
        return fId;
    }

    public void setfPid(Long fPid) {
        this.fPid = fPid;
    }

    public Long getfPid() {
        return fPid;
    }

    public void setfActid(Long fActid) {
        this.fActid = fActid;
    }

    public Long getfActid() {
        return fActid;
    }

    public void setfLineno(String fLineno) {
        this.fLineno = fLineno;
    }

    public String getfLineno() {
        return fLineno;
    }

    public void setfName(String fName) {
        this.fName = fName;
    }

    public String getfName() {
        return fName;
    }

    public void setfDesc(String fDesc) {
        this.fDesc = fDesc;
    }

    public String getfDesc() {
        return fDesc;
    }

    public void setfUrl(String fUrl) {
        this.fUrl = fUrl;
    }

    public String getfUrl() {
        return fUrl;
    }

    public void setfStatus(String fStatus) {
        this.fStatus = fStatus;
    }

    public String getfStatus() {
        return fStatus;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getDelFlag() {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("fId", getfId())
                .append("fPid", getfPid())
                .append("fActid", getfActid())
                .append("fLineno", getfLineno())
                .append("fName", getfName())
                .append("fDesc", getfDesc())
                .append("fUrl", getfUrl())
                .append("fStatus", getfStatus())
                .append("delFlag", getDelFlag())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .toString();
    }
}
